import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.table.*;
import javax.swing.event.*;

class LKmixModel extends AbstractTableModel
{
  Object[][] veri;
  String[] baslik={"Property ","Value ","Units"};

  public LKmixModel(LeeKeslerMix g1,double T,double x)
  { 
  veri=g1.toString1("tx",T,x);
  }
  public double[] getInitialValues(){
  	double[] temp=new double[5]; 	 
  	temp[0]=new Double(veri[2][1].toString());
  	temp[1]=new Double(veri[3][1].toString());
  	temp[2]=new Double(veri[5][1].toString());
  	temp[3]=new Double(veri[0][1].toString());
  	return temp;
  }
  public int getRowCount() {return veri.length;}
  public int getColumnCount() {return baslik.length;}
  public Object getValueAt(int satir,int sutun) {return veri[satir][sutun];}
  public String getColumnName(int c) {return baslik[c];}
  public void setValueAt(Object val, int row, int col)
  {
    veri[row][col] = val;
   }

  public void setValues(LeeKeslerMix g1,String s,double T,double P)
  {
  double TK;  
  veri=g1.toString1(s,T,P);
  }

  public boolean isCellEditable(int row, int col) {return true;}
}


